> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1adminjobs cancel



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml post /v1/admin/jobs/{jobID}/cancel
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/admin/jobs/{jobID}/cancel:
    post:
      tags:
        - operations
      operationId: cancelJob
      parameters:
        - $ref: '#/components/parameters/JobID'
      responses:
        '200':
          description: Job cancelled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Job'
        '422':
          $ref: '#/components/responses/Problem'
      security:
        - operatorToken: []
components:
  parameters:
    JobID:
      in: path
      name: jobID
      required: true
      schema:
        type: integer
        format: int64
  schemas:
    Job:
      type: object
      required:
        - id
        - kind
        - queue
        - state
        - attempt
        - maxAttempts
        - createdAt
      properties:
        id:
          type: integer
          format: int64
        kind:
          type: string
        queue:
          type: string
        state:
          type: string
        attempt:
          type: integer
        maxAttempts:
          type: integer
        errorCount:
          type: integer
        lastError:
          type: string
          description: Redacted error text from the most recent attempt.
        createdAt:
          type: string
          format: date-time
        attemptedAt:
          type: string
          format: date-time
        finalizedAt:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    operatorToken:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.